﻿using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Xml;

namespace XmlProvisioningGprsTester
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            using (new WaitCursor())
            {
                StringBuilder sb = new StringBuilder();
                sb.Append("<wap-provisioningdoc>");
                sb.Append("<characteristic type=\"CM_GPRSEntries\">");
                sb.Append("<characteristic type=\"My Connection\">");
                sb.Append("<parm name=\"DestId\" value=\"{ADB0B001-10B5-3F39-27C6-9742E785FCD4}\"/>");
                sb.Append("<parm name=\"Phone\" value=\"~GPRS!mobile.o2.co.uk\"/>");
                sb.Append("<parm name=\"UserName\" value=\"mobileweb\"/>");
                sb.Append("<parm name=\"Password\" value=\"password\"/>");
                sb.Append("<parm name=\"Enabled\" value=\"1\"/>");
                sb.Append("<characteristic type=\"DevSpecificCellular\">");
                sb.Append("<parm name=\"GPRSInfoAccessPointName\" value=\"mobile.o2.co.uk\"/>");
                sb.Append("</characteristic>");
                sb.Append("</characteristic>");
                sb.Append("</characteristic>");
                sb.Append("</wap-provisioningdoc>");

                XmlDocument currentSettings = new XmlDocument();
                currentSettings.LoadXml(sb.ToString());

                //Microsoft.WindowsMobile.Configuration.ConfigurationManager.ProcessConfiguration(currentSettings, false);
                ConfigWrapper.ProcessXml(sb.ToString(), ConfigFlag.Process);
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            using (new WaitCursor())
            {
                StringBuilder sb = new StringBuilder();

                sb.Append("<wap-provisioningdoc>");
                sb.Append("<characteristic-query type=\"CM_GPRSEntries\" />");
                sb.Append("</wap-provisioningdoc>");

                XmlDocument currentSettings = new XmlDocument();
                currentSettings.LoadXml(sb.ToString());

                //XmlDocument queryResult = Microsoft.WindowsMobile.Configuration.ConfigurationManager.ProcessConfiguration(currentSettings, false);
                //this.textBox1.Text = queryResult.InnerXml;
                string queryResult = ConfigWrapper.ProcessXml(sb.ToString(), ConfigFlag.Process);
                this.textBox1.Text = queryResult;
                
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            using (new WaitCursor())
            {
                StringBuilder sb = new StringBuilder();

                sb.Append("<wap-provisioningdoc>");
                sb.Append("<characteristic type=\"CM_GPRSEntries\">");
                sb.Append("<nocharacteristic type=\"My Connection\"/>");
                sb.Append("</characteristic>");
                sb.Append("</wap-provisioningdoc>");

                XmlDocument currentSettings = new XmlDocument();
                currentSettings.LoadXml(sb.ToString());

                //Microsoft.WindowsMobile.Configuration.ConfigurationManager.ProcessConfiguration(currentSettings, false);
                ConfigWrapper.ProcessXml(sb.ToString(), ConfigFlag.Process);
            }
        }
    }
}